// halflines.cpp
// Glenn G. Chappell
// 18 Jan 2013
//
// For CS 321 Spring 2013
// Filter: print first half of each line

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <string>
using std::string;
using std::getline;
#include <cstdlib>
using std::exit;
using std::size_t;


// halfLines
// Reads lines from cin, printing first half (round up) of each to cout.
// Returns false on error, otherwise returns true.
bool halfLines()
{
    while (true)
    {
        string line;
        getline(cin, line);
        if (!cin)
        {
            if (cin.eof()) break;
            return false;
        }

        size_t n = line.size();
        for (size_t i = 0; 2*i < n; ++i)
            cout << line[i];
        cout << endl;
    }
    return true;
}


// Main program
// Call function halfLines
int main()
{
    bool success = halfLines();
    if (!success)
        exit(1);

    return 0;
}

